OpenJPEG 2.5.2

Data Fields
opj_simple_mcc_decorrelation_data Struct Reference

FIXME DOC. More...

`#include <j2k.h>`

## Data Fields
OPJ_UINT32 | m_index
OPJ_UINT32 | m_nb_comps
opj_mct_data_t * | m_decorrelation_array
opj_mct_data_t * | m_offset_array
OPJ_BITFIELD | m_is_irreversible: 1

## Detailed Description

FIXME DOC.

## Field Documentation

## ◆ m_decorrelation_array

opj_mct_data_t* opj_simple_mcc_decorrelation_data::m_decorrelation_array

Referenced by opj_j2k_add_mct(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mcc(), opj_j2k_read_mct(), opj_j2k_setup_mct_encoding(), and opj_j2k_write_mcc_record().

## ◆ m_index

OPJ_UINT32 opj_simple_mcc_decorrelation_data::m_index

Referenced by opj_j2k_add_mct(), opj_j2k_read_mcc(), opj_j2k_setup_mct_encoding(), opj_j2k_write_mcc_record(), and opj_j2k_write_mco().

## ◆ m_is_irreversible

OPJ_BITFIELD opj_simple_mcc_decorrelation_data::m_is_irreversible

Referenced by opj_j2k_read_mcc(), opj_j2k_setup_mct_encoding(), and opj_j2k_write_mcc_record().

## ◆ m_nb_comps

OPJ_UINT32 opj_simple_mcc_decorrelation_data::m_nb_comps

Referenced by opj_j2k_add_mct(), opj_j2k_read_mcc(), opj_j2k_setup_mct_encoding(), and opj_j2k_write_mcc_record().

## ◆ m_offset_array

opj_mct_data_t* opj_simple_mcc_decorrelation_data::m_offset_array

Referenced by opj_j2k_add_mct(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mcc(), opj_j2k_read_mct(), opj_j2k_setup_mct_encoding(), and opj_j2k_write_mcc_record().

The documentation for this struct was generated from the following file:

- j2k.h